Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKBinary Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKBinary ()

## Public Attributes
boost::optional< IWORKSize > | m_size
boost::optional< std::string > | m_path
boost::optional< std::string > | m_type
boost::optional< unsigned > | m_dataSize

## Constructor & Destructor Documentation

## ◆ IWORKBinary()

libetonyek::IWORKBinary::IWORKBinary | ( |  | ) |

## Member Data Documentation

## ◆ m_dataSize

boost::optional<unsigned> libetonyek::IWORKBinary::m_dataSize

## ◆ m_path

boost::optional<std::string> libetonyek::IWORKBinary::m_path

## ◆ m_size

boost::optional<IWORKSize> libetonyek::IWORKBinary::m_size

## ◆ m_type

boost::optional<std::string> libetonyek::IWORKBinary::m_type

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp